#!/usr/bin/env python
# -*- coding: utf-8 -*-

import setuptools
import Shuaixuande101zhongFangshi
import os
from os import path

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

for subdir, _, _ in os.walk('Shuaixuande101zhongFangshi'):
    fname = path.join(subdir, '__init__.py')
    open(fname, 'a').close()
    
setuptools.setup(
    name="shuaixuande-101zhong-fangshi",
    version=Shuaixuande101zhongFangshi.__version__,
    url="https://github.com/apachecn/shuaixuande-101zhong-fangshi",
    author=Shuaixuande101zhongFangshi.__author__,
    author_email=Shuaixuande101zhongFangshi.__email__,
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Intended Audience :: End Users/Desktop",
        "License :: Other/Proprietary License",
        "Natural Language :: Chinese (Simplified)",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Topic :: Text Processing :: Markup :: Markdown",
        "Topic :: Text Processing :: Markup :: HTML",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Software Development :: Documentation",
        "Topic :: Documentation",
    ],
    description="筛选的101种方式 - Adam Lyons",
    long_description=long_description,
    long_description_content_type="text/markdown",
    keywords=[],
    install_requires=[],
    python_requires=">=3.6",
    entry_points={
        'console_scripts': [
            "shuaixuande-101zhong-fangshi=Shuaixuande101zhongFangshi.__main__:main",
            "Shuaixuande101zhongFangshi=Shuaixuande101zhongFangshi.__main__:main",
        ],
    },
    packages=setuptools.find_packages(),
    package_data={'': ['*']},
)
